Subject: Re: [PATCH 1/4] virtio-net: convert rx mode setting to use workqueue

From: Jakub Kicinski <[email-masked]>
Date: Thu, 29 Dec 2022 18:51:20 -0800

On Tue, 27 Dec 2022 17:06:10 +0800 Jason Wang wrote:
> > Hmm so user tells us to e.g enable promisc. We report completion
> > but card is still dropping packets. I think this
> > has a chance to break some setups.  
> 
> I think all those filters are best efforts, am I wrong?

Are the flags protected by the addr lock which needs BH, tho?

Taking netif_addr_lock_bh() to look at dev->flags seems a bit 
surprising to me.